const formatter = class Formatter {

    constructor(name, result) {
        this.name = name;
        this.result = result.sort(this._alphabeticalSort);
    }

    toString() {
        let str = `"${this.name}" has ${this.result.length} coauthors:`;
        for (const index in this.result) {
            str += `\n- ${this.result[index]}`;
        }
        return str;
    }

    _alphabeticalSort(a, b) {
        return (a > b) ? 1 : -1;
    }

};

module.exports = formatter;